System.ServiceModel 4.0.0.0 System.Object

The new endpoint address can have its property values initialized from the property values of an existing endpoint address using the constructor.

The endpoint addresses created can have their URI and identity values set using the and properties of the endpoint address builder. Note that is an immutable class.

A factory for producing new (immutable) endpoint addresses with specific property values.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0

  The values initialized for the endpoint builder from the endpoint address are the endpoint address itself and the identity, the headers, and the URI.

  Initializes a new instance of the class from an existing endpoint address.

  The whose property values are used to initialize the property values of this instance.
- Method
  4.0.0.0
  System.Xml.XmlDictionaryReader

  The reader provides access to the information that is not contained in the model of the endpoint reference defined by WS-Addressing.

  Returns the XML dictionary reader that contains the extensions of the endpoint address.

  The that reads the extensions of the endpoint address.

- Method
  4.0.0.0
  System.Xml.XmlDictionaryReader To be added.

  Returns the reader that contains the metadata associated with the endpoint address.

  The that reads the metadata associated the endpoint address if there is some; otherwise, null.

- Property
  4.0.0.0
  System.Collections.ObjectModel.Collection<System.ServiceModel.Channels.AddressHeader> To be added.

  Address headers for the endpoints can be set using the constructor.

  Gets the list of address headers for the endpoints that the builder can create.

- Property
  4.0.0.0
  System.ServiceModel.EndpointIdentity To be added.

  The identity is used by an endpoint to authenticate other endpoints when exchanging messages with them.

  Gets or sets the identity for the endpoints that the builder can create.

- Method
  4.0.0.0
  System.Void `` To be added.

  Specifies the XML dictionary reader that contains the extensions of the endpoint address.

  The that reads the extensions of the endpoint.
- Method
  4.0.0.0
  System.Void `` To be added.

  Specifies the XML dictionary reader that contains the metadata associated with the endpoint address.

  The that reads the metadata associated with the endpoint.
- Method
  4.0.0.0
  System.ServiceModel.EndpointAddress

  The values initialized from the endpoint address are the identity, the address header collection, the URI, and the extension buffer.

  Creates a new endpoint address initialized with the property values of the current endpoint address builder.

  The whose property are initialized with the values of the current endpoint address builder.

- Property
  4.0.0.0
  System.Uri To be added.

  Allows the programmer to set or get the URI associated with the endpoint address.

  Gets or sets the URI for the endpoints that the builder can create.